libzypp 17.37.10

Filter.h File Reference
`#include <iosfwd>`
`#include <utility>`
`#include <zypp/base/Functional.h>`
`#include <zypp/base/Function.h>`
`#include <zypp/sat/Pool.h>`
`#include <zypp/PoolItem.h>`
`#include <zypp/ResFilters.h>`

Go to the source code of this file.

## Classes
class | zypp::filter::ByLocaleSupport
| Filter solvables according to their locale support. More...
class | zypp::filter::ByKind
| Filter solvables according to their kind. More...
class | zypp::filter::ByStatus
| Filter solvables according to their status. More...
class | zypp::filter::SameItemAs
| Filter items with at least same NVRA, vendor. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::filter